setwd("~/git/LSHTM_analysis/scripts/plotting/")

source("../functions/lf_bp_with_stats.R")

######################
# call function
######################
# Note: Data
# run other_plots_data.R
# to get the long format data to test this function 

lf_bp_with_stats(lf_df = lf_dynamut2
                       , x_grp = "mutation_info"
                       , y_var = "param_value"
                       , facet_var = "param_type"
                       , n_facet_row = 1
                       , y_scales = "free_y"
                       , p_title = "Dynamut2"
                       , colour_categ = "ddg_dynamut2_outcome"
                       , stat_grp_comp = c("DM", "OM")
                       , stat_method = "wilcox.test"
                       , my_paired = FALSE
                       #, stat_label = "p.format")
                       , stat_label = c("p.format", "p.signif")
                       , my_ats = 22 # axis text size
                       , my_als = 20 # axis label size
                       , my_fls = 20 # facet label size
                       , my_pts = 22 )# plot title size 
